Subject: bug#21612: 24.5; Configuration variable to delete auto-save file when intentionally killing buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Aug 2021 15:21:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 22 Aug 2021 23:55:05 +0200
> 
> Since this code (in its current state) seems to mean that we never
> delete auto-save files when killing buffers, I think we should change
> the documented effect of `delete-auto-save-files' to be what it does
> now:
> 
> ----
> Non-nil means delete auto-save file when a buffer is saved.
> ----

I wouldn't do that, because I think there could be situations where we
do delete auto-save files in other cases.  The code says: delete if
the file was auto-saved during this session, was auto-saved after
being saved, and was modified after being saved.  That's not what we
want, but I don't think it's impossible to have that.

> Then delete the bit in `kill-buffer' that tries to act on that variable,
> and then introduce the new variable previously discussed in this bug
> report.
> 
> The two things (deleting auto-save file when saving a file and killing a
> buffer) do not seem to be very related functionality, so having one
> variable for both things is just confusing.

We could have 2 variables, yes.